This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
ppport.h: Don't say unsupported if avail in earliest version
authorKarl Williamson <khw@cpan.org>
Sun, 21 Jul 2019 18:31:14 +0000 (12:31 -0600)
committerNicolas R <atoomic@cpan.org>
Fri, 27 Sep 2019 22:39:33 +0000 (16:39 -0600)
If this API element is available in the earliest version we have info
for, then it actually is supported.

(cherry picked from commit 083f8295dac44481178034faba58f096dda25703)
Signed-off-by: Nicolas R <atoomic@cpan.org>
dist/Devel-PPPort/parts/inc/ppphbin

index 1450547..3401a00 100644 (file)
@@ -91,6 +91,7 @@ if (exists $opt{'list-unsupported'}) {
     next if $API{$f}{inaccessible};
     next if $API{$f}{experimental};
     next unless $API{$f}{todo};
+    next if int_parse_version($API{$f}{todo}) <=  int_parse_version(__MIN_PERL__);
     print "$f ", '.'x(40-length($f)), " ", format_version($API{$f}{todo}), "\n";
   }
   exit 0;